Log (Commons Logging 1.1.1 API)
Keywords: org.apache.commons.logging.Log interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.logging
Interface Log

All Known Implementing Classes:
  AvalonLogger, Jdk13LumberjackLogger, Jdk14Logger, Log4JLogger, LogKitLogger, NoOpLog, SimpleLog

public interface Log

A simple logging interface abstracting logging APIs. In order to be instantiated successfully by `LogFactory`, classes that implement this interface must have a constructor that takes a single String parameter representing the "name" of this Log.

The six logging levels used by `Log` are (in order):

1. trace (the least serious)
2. debug
3. info
4. warn
5. error
6. fatal (the most serious)

The mapping of these log levels to the concepts used by the underlying logging system is implementation dependent. The implemention should ensure, though, that this ordering behaves as expected.

Performance is often a logging concern. By examining the appropriate property, a component can avoid expensive operations (producing information to be logged).

For example, ``

        if (log.isDebugEnabled()) {
            ... do something expensive ...
            log.debug(theResult);
        }

Configuration of the underlying logging system will generally be done external to the Logging APIs, through whatever mechanism is supported by that system.

Version:
  $Id: Log.java 424107 2006-07-20 23:15:42Z skitching $
Author:
  Scott Sanders, Rod Waldhoff

Method Summary
`void` | `debug(java.lang.Object message)` Log a message with debug log level.
`void` | `debug(java.lang.Object message, java.lang.Throwable t)` Log an error with debug log level.
`void` | `error(java.lang.Object message)` Log a message with error log level.
`void` | `error(java.lang.Object message, java.lang.Throwable t)` Log an error with error log level.
`void` | `fatal(java.lang.Object message)` Log a message with fatal log level.
`void` | `fatal(java.lang.Object message, java.lang.Throwable t)` Log an error with fatal log level.
`void` | `info(java.lang.Object message)` Log a message with info log level.
`void` | `info(java.lang.Object message, java.lang.Throwable t)` Log an error with info log level.
`boolean` | `isDebugEnabled()` Is debug logging currently enabled?
`boolean` | `isErrorEnabled()` Is error logging currently enabled?
`boolean` | `isFatalEnabled()` Is fatal logging currently enabled?
`boolean` | `isInfoEnabled()` Is info logging currently enabled?
`boolean` | `isTraceEnabled()` Is trace logging currently enabled?
`boolean` | `isWarnEnabled()` Is warn logging currently enabled?
`void` | `trace(java.lang.Object message)` Log a message with trace log level.
`void` | `trace(java.lang.Object message, java.lang.Throwable t)` Log an error with trace log level.
`void` | `warn(java.lang.Object message)` Log a message with warn log level.
`void` | `warn(java.lang.Object message, java.lang.Throwable t)` Log an error with warn log level.

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Is debug logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than debug.

  Returns:
    true if debug is enabled in the underlying logger.

### isErrorEnabled

    public boolean isErrorEnabled()

  Is error logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than error.

  Returns:
    true if error is enabled in the underlying logger.

### isFatalEnabled

    public boolean isFatalEnabled()

  Is fatal logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than fatal.

  Returns:
    true if fatal is enabled in the underlying logger.

### isInfoEnabled

    public boolean isInfoEnabled()

  Is info logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than info.

  Returns:
    true if info is enabled in the underlying logger.

### isTraceEnabled

    public boolean isTraceEnabled()

  Is trace logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than trace.

  Returns:
    true if trace is enabled in the underlying logger.

### isWarnEnabled

    public boolean isWarnEnabled()

  Is warn logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than warn.

  Returns:
    true if warn is enabled in the underlying logger.

### trace

    public void trace(java.lang.Object message)

  Log a message with trace log level.

  Parameters:
    `message` - log this message

### trace

    public void trace(java.lang.Object message,
                      java.lang.Throwable t)

  Log an error with trace log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### debug

    public void debug(java.lang.Object message)

  Log a message with debug log level.

  Parameters:
    `message` - log this message

### debug

    public void debug(java.lang.Object message,
                      java.lang.Throwable t)

  Log an error with debug log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### info

    public void info(java.lang.Object message)

  Log a message with info log level.

  Parameters:
    `message` - log this message

### info

    public void info(java.lang.Object message,
                     java.lang.Throwable t)

  Log an error with info log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### warn

    public void warn(java.lang.Object message)

  Log a message with warn log level.

  Parameters:
    `message` - log this message

### warn

    public void warn(java.lang.Object message,
                     java.lang.Throwable t)

  Log an error with warn log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### error

    public void error(java.lang.Object message)

  Log a message with error log level.

  Parameters:
    `message` - log this message

### error

    public void error(java.lang.Object message,
                      java.lang.Throwable t)

  Log an error with error log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### fatal

    public void fatal(java.lang.Object message)

  Log a message with fatal log level.

  Parameters:
    `message` - log this message

### fatal

    public void fatal(java.lang.Object message,
                      java.lang.Throwable t)

  Log an error with fatal log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 The Apache Software Foundation. All Rights Reserved.